<?php
session_start();
include ('../config/conn.php');
include ('../config/function.php');
//proses tambah
if(isset($_POST['tambah'])){
    $barang_id = $_POST['barang_id'];
    $jumlah = $_POST['jumlah'];
    $keterangan = $_POST['keterangan'];
    $tanggal = $_POST['tanggal'];
    $tanggal_bast = $_POST['tanggal_bast'];
    
    $insert = mysqli_query($con,"INSERT INTO barang_keluar (barang_id, jumlah, keterangan, tanggal, tanggal_bast) VALUES ('$barang_id','$jumlah','$keterangan','$tanggal','$tanggal_bast')") or die (mysqli_error($con));
    if($insert){
        $success = 'Berhasil menambahkan data barang keluar';
    }
    else{
        $error = 'Gagal menambahkan data barang keluar';
    }
    $_SESSION['success'] = $success;
    $_SESSION['error'] = $error;
    header('Location:../dashboard.php?barang_keluar');
}
if(decrypt($_GET['act'])=='delete' && isset($_GET['id'])!=""){
    // echo $_GET['act'];die;
    $id = decrypt($_GET['id']);
    $delete = mysqli_query($con, "DELETE FROM barang_keluar WHERE idbarang_keluar ='$id'")or die(mysqli_error($con));
    if ($delete) {
        $success = "Data barang keluar berhasil dihapus";
    }else{
        $error = "Data barang keluar gagal dihapus";
    }
    $_SESSION['success'] = $success;
    $_SESSION['error'] = $error;
    header('Location:../dashboard.php?barang_keluar');
}
?>